org.eclipse.ease

## Class Logger

- java.lang.Object
- - org.eclipse.ease.Logger

    public class Logger
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Logger()`

### Method Summary

Methods
`static IStatus` `createErrorStatus(String message, String pluginID)`
`static IStatus` `createErrorStatus(String message, String pluginID, Throwable exception)`
`static IStatus` `createStatus(int statusError, String message, String pluginID, Throwable exception)`
`static IStatus` `createWarningStatus(String message, String pluginID)`
`static IStatus` `createWarningStatus(String message, String pluginID, Throwable exception)`
`static void` `logError(String message)`
`static void` `logError(String message, String pluginID)`
`static void` `logError(String message, String pluginID, Throwable exception)`
`static void` `logError(String message, Throwable exception)`
`static void` `logWarning(String message)`
`static void` `logWarning(String message, String pluginID)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Logger

    public Logger()

### Method Detail

#### logError

    public static void logError(String message)

#### logError

    public static void logError(String message,
                Throwable exception)

#### logError

    public static void logError(String message,
                String pluginID)

#### logError

    public static void logError(String message,
                String pluginID,
                Throwable exception)

#### createErrorStatus

    public static IStatus createErrorStatus(String message,
                            String pluginID,
                            Throwable exception)

#### createErrorStatus

    public static IStatus createErrorStatus(String message,
                            String pluginID)

#### createStatus

    public static IStatus createStatus(int statusError,
                       String message,
                       String pluginID,
                       Throwable exception)

#### createWarningStatus

    public static IStatus createWarningStatus(String message,
                              String pluginID)

#### createWarningStatus

    public static IStatus createWarningStatus(String message,
                              String pluginID,
                              Throwable exception)

#### logWarning

    public static void logWarning(String message)

#### logWarning

    public static void logWarning(String message,
                  String pluginID)